Bug 895624 - Please fix Drools in SOA-P so old rules will still run
Summary: Please fix Drools in SOA-P so old rules will still run
Status: VERIFIED
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB   
(Show other bugs)
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ER4
: 5.3.1
Assignee: Mario Fusco
QA Contact: Martin Vecera
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-15 16:49 UTC by Rick Wagner
Modified: 2018-11-30 20:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users were finding that rules that used to work now result in Exceptions. The issue has been rectified by using a new EqualsMethod instance directly in InvokerGenerator, rather than via a declared constant.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Wagner 2013-01-15 16:49:48 UTC
Description of problem:
Customer complains that rules that used to work now result in Exceptions.

Mario has isolated the one-line fix necessary to fix this issue on Drools 5.3.

Please use the JIRA at [1] for test information.

[1] https://issues.jboss.org/browse/JBRULES-3283

Comment 3 Jiri Pechanec 2013-02-06 08:26:59 UTC
Verified in ER4


Note You need to log in before you can comment on or make changes to this bug.